Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 989822 - [abrt] gdb-7.5.1-38.fc18: elf_symtab_read: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
Summary: [abrt] gdb-7.5.1-38.fc18: elf_symtab_read: Process /usr/bin/gdb was killed by...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6e000bd7daed1f698f4af24a066...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-30 02:49 UTC by Moez Roy
Modified: 2014-02-05 22:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:12:18 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-30 02:49 UTC, Moez Roy
no flags Details
File: cgroup (deleted)
2013-07-30 02:49 UTC, Moez Roy
no flags Details
File: core_backtrace (deleted)
2013-07-30 02:49 UTC, Moez Roy
no flags Details
File: dso_list (deleted)
2013-07-30 02:49 UTC, Moez Roy
no flags Details
File: environ (deleted)
2013-07-30 02:49 UTC, Moez Roy
no flags Details
File: limits (deleted)
2013-07-30 02:49 UTC, Moez Roy
no flags Details
File: maps (deleted)
2013-07-30 02:49 UTC, Moez Roy
no flags Details
File: open_fds (deleted)
2013-07-30 02:49 UTC, Moez Roy
no flags Details
File: proc_pid_status (deleted)
2013-07-30 02:50 UTC, Moez Roy
no flags Details
File: var_log_messages (deleted)
2013-07-30 02:50 UTC, Moez Roy
no flags Details

Description Moez Roy 2013-07-30 02:49:25 UTC
Version-Release number of selected component:
gdb-7.5.1-38.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /' -ex 'file /usr/bin/python2.7' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 1024 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
crash_function: elf_symtab_read
executable:     /usr/bin/gdb
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 elf_symtab_read at ../../gdb/elfread.c:267
 #1 elf_symfile_read at ../../gdb/elfread.c:2552
 #2 syms_from_objfile at ../../gdb/symfile.c:1000
 #3 symbol_file_add_with_addrs_or_offsets at ../../gdb/symfile.c:1106
 #4 symbol_file_add_from_bfd at ../../gdb/symfile.c:1196
 #5 solib_read_symbols at ../../gdb/solib.c:613
 #6 solib_add at ../../gdb/solib.c:942
 #7 post_create_inferior at ../../gdb/infcmd.c:477
 #8 core_open at ../../gdb/corelow.c:478
 #9 execute_command at ../../gdb/top.c:487

Potential duplicate: bug 864348

Comment 1 Moez Roy 2013-07-30 02:49:30 UTC
Created attachment 780249 [details]
File: backtrace

Comment 2 Moez Roy 2013-07-30 02:49:33 UTC
Created attachment 780250 [details]
File: cgroup

Comment 3 Moez Roy 2013-07-30 02:49:37 UTC
Created attachment 780251 [details]
File: core_backtrace

Comment 4 Moez Roy 2013-07-30 02:49:40 UTC
Created attachment 780252 [details]
File: dso_list

Comment 5 Moez Roy 2013-07-30 02:49:44 UTC
Created attachment 780253 [details]
File: environ

Comment 6 Moez Roy 2013-07-30 02:49:48 UTC
Created attachment 780254 [details]
File: limits

Comment 7 Moez Roy 2013-07-30 02:49:52 UTC
Created attachment 780255 [details]
File: maps

Comment 8 Moez Roy 2013-07-30 02:49:56 UTC
Created attachment 780256 [details]
File: open_fds

Comment 9 Moez Roy 2013-07-30 02:50:00 UTC
Created attachment 780257 [details]
File: proc_pid_status

Comment 10 Moez Roy 2013-07-30 02:50:03 UTC
Created attachment 780258 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-12-21 14:24:22 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2014-02-05 22:12:18 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.